import MonacoEditor from '@alilc/lowcode-plugin-base-monaco-editor';
import * as React from 'react';
var RcCodeEditor = function RcCodeEditor(props) {
  var language = props.language,
    initialValue = props.initialValue,
    onChange = props.onChange,
    style = props.style;
  var handleOnChange = function handleOnChange(value) {
    onChange(value);
  };
  return /*#__PURE__*/React.createElement(MonacoEditor, {
    style: style,
    value: initialValue,
    language: language,
    onChange: handleOnChange
  });
};
export default RcCodeEditor;